import { createRouter } from 'vue-router'
import * as vueRouter from 'vue-router'
import Layout from '../layout/index.vue'

// 路由信息
const routes = [
  {
    path: '/',
    name: '首页',
    component: Layout,
    children: [
      {
        path: '/',
        name: '首页',
        component: () => import('../views/home/index.vue')
      },
      {
        path: '/setting',
        name: '设置',
        component: () => import('../views/setting/index.vue')
      }
    ]
  }
]

// 导出路由
const router = createRouter({
  history: vueRouter.createWebHistory(),
  routes
})

router.beforeEach((to, from, next) => {
  console.log(from)
  next()
})

export default router
